Page MenuHomePhabricator

Change Turkish Wikipedia logo to reflect occasion of unblocking
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/mediawiki-config : master[trwiki] Tweak unblocking logo versions
operations/mediawiki-config : master[trwiki] Change logo to reflect unblocking

Event Timeline

HakanIST created this task.Jan 16 2020, 3:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2020, 3:08 PM

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.
Please follow https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes when requesting such kinds of changes. Thanks!

revi added a subscriber: revi.Jan 16 2020, 4:38 PM

We, at Korean Wikipedia, used the following CSS hack to avoid submitting (and waiting for) configuration changes: maybe try this one? (According to our records, this was last used in 2017 so I can't guarantee it will work in 2020.)

.mw-wiki-logo {
	background-image: url('{REPLACE HERE WITH upload.wikimedia.org THUMBNAIL LINK}') !important;
}

We used to override the logo. (not sur if Korean Wikipedia solution is similar) It was suggested that it's not so efficient.

https://tr.wikipedia.org/wiki/Special:Diff/20569486

Please do NOT over-ride CSS with this hack which slows down the site.

@HakanIST: Do you have an SVG version of the logo? We need that to be able to replace the current SVG one.

Change 565350 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] [trwiki] Change logo to reflect unblocking

https://gerrit.wikimedia.org/r/565350

(Don't worry, I faked it from the big one.)

Change 565350 merged by jenkins-bot:
[operations/mediawiki-config@master] [trwiki] Change logo to reflect unblocking

https://gerrit.wikimedia.org/r/565350

Mentioned in SAL (#wikimedia-operations) [2020-01-16T17:46:17Z] <jforrester@deploy1001> Synchronized static/images/project-logos/trwiki.png: [trwiki] Change logo to reflect unblocking, 1x T242977 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2020-01-16T17:47:26Z] <jforrester@deploy1001> Synchronized static/images/project-logos/trwiki-1.5x.png: [trwiki] Change logo to reflect unblocking, 1.5x T242977 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2020-01-16T17:48:31Z] <jforrester@deploy1001> Synchronized static/images/project-logos/trwiki-2x.png: [trwiki] Change logo to reflect unblocking, 2x T242977 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2020-01-16T17:48:49Z] <James_F> Manually purged the trwiki logos from Varnish as part of updating them to reflect unblocking, T242977

Jdforrester-WMF closed this task as Resolved.Jan 16 2020, 5:49 PM
Jdforrester-WMF claimed this task.

Done!

Khutuck reopened this task as Open.Jan 16 2020, 5:56 PM

Done!

Logo looks like low resolution. Could we use the SVG one?

https://commons.wikimedia.org/wiki/File:Kavuştuk.svg

Sorry if I'm using the comments wrong, new here!

This comment was removed by Agusbou2015.

Done!

Logo looks like low resolution. Could we use the SVG one?
https://commons.wikimedia.org/wiki/File:Kavuştuk.svg
Sorry if I'm using the comments wrong, new here!

The PNGs were created (by me) as manual down-renders (and re-sizes) of the large PNG. We don't export the logo as an SVG file to readers.

Done!

Logo looks like low resolution. Could we use the SVG one?
https://commons.wikimedia.org/wiki/File:Kavuştuk.svg
Sorry if I'm using the comments wrong, new here!

The PNGs were created (by me) as manual down-renders (and re-sizes) of the large PNG. We don't export the logo as an SVG file to readers.

Is it possible to for you to recreate the PNG? It looks out of focus right now, especially when you compare it side by side to the standard logo on other Wikipedias.

Done!

Logo looks like low resolution. Could we use the SVG one?
https://commons.wikimedia.org/wiki/File:Kavuştuk.svg
Sorry if I'm using the comments wrong, new here!

The PNGs were created (by me) as manual down-renders (and re-sizes) of the large PNG. We don't export the logo as an SVG file to readers.

Is it possible to for you to recreate the PNG? It looks out of focus right now, especially when you compare it side by side to the standard logo on other Wikipedias.

Happy to change the images over to assets the communit wants. They must be 135x155px, 204x234px, and 270x310px.

Done!

Logo looks like low resolution. Could we use the SVG one?
https://commons.wikimedia.org/wiki/File:Kavuştuk.svg
Sorry if I'm using the comments wrong, new here!

The PNGs were created (by me) as manual down-renders (and re-sizes) of the large PNG. We don't export the logo as an SVG file to readers.

Is it possible to for you to recreate the PNG? It looks out of focus right now, especially when you compare it side by side to the standard logo on other Wikipedias.

Happy to change the images over to assets the communit wants. They must be 135x155px, 204x234px, and 270x310px.

Do these work? Re-uploaded each size on the same filename/

https://commons.wikimedia.org/wiki/File:Kavuştuk_133x155.png

Done!

Logo looks like low resolution. Could we use the SVG one?
https://commons.wikimedia.org/wiki/File:Kavuştuk.svg
Sorry if I'm using the comments wrong, new here!

The PNGs were created (by me) as manual down-renders (and re-sizes) of the large PNG. We don't export the logo as an SVG file to readers.

Is it possible to for you to recreate the PNG? It looks out of focus right now, especially when you compare it side by side to the standard logo on other Wikipedias.

Happy to change the images over to assets the communit wants. They must be 135x155px, 204x234px, and 270x310px.

Do these work? Re-uploaded each size on the same filename/
https://commons.wikimedia.org/wiki/File:Kavuştuk_133x155.png

They also need transparent backgrounds (and to be crushed, but I can do that bit).

Change 565401 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] [trwiki] Tweak unblocking logo versions

https://gerrit.wikimedia.org/r/565401

Done!

Logo looks like low resolution. Could we use the SVG one?
https://commons.wikimedia.org/wiki/File:Kavuştuk.svg
Sorry if I'm using the comments wrong, new here!

The PNGs were created (by me) as manual down-renders (and re-sizes) of the large PNG. We don't export the logo as an SVG file to readers.

Is it possible to for you to recreate the PNG? It looks out of focus right now, especially when you compare it side by side to the standard logo on other Wikipedias.

Happy to change the images over to assets the communit wants. They must be 135x155px, 204x234px, and 270x310px.

Do these work? Re-uploaded each size on the same filename/
https://commons.wikimedia.org/wiki/File:Kavuştuk_133x155.png

They also need transparent backgrounds (and to be crushed, but I can do that bit).

I'm not sure if I can do that. I used https://ezgif.com/svg-to-png/ to make the PNG and resize. Looked transparent to me on Commons.

Is it possible to for you to recreate the PNG? It looks out of focus right now, especially when you compare it side by side to the standard logo on other Wikipedias.

Happy to change the images over to assets the communit wants. They must be 135x155px, 204x234px, and 270x310px.

Do these work? Re-uploaded each size on the same filename/
https://commons.wikimedia.org/wiki/File:Kavuştuk_133x155.png

OK, @Khutuck, is this OK?

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/565401 (click through to the side-by-side comparisons).

(@Khutuck: Could you please strip unneeded quoting levels from your replies, to keep things more readable? Thanks :) )

Sorry for my lack of manners. I'm new here, this is quite unfamiliar territory. Just trying to help with the logo :)

I am not familiar with this website, and I failed to see the new version. Could you please give this simpleton a direct PNG link :)

I will compare it with the current logo on the tr.wikipedia.org: https://tr.wikipedia.org/static/images/project-logos/trwiki.png

Change 565401 merged by jenkins-bot:
[operations/mediawiki-config@master] [trwiki] Tweak unblocking logo versions

https://gerrit.wikimedia.org/r/565401

Mentioned in SAL (#wikimedia-operations) [2020-01-23T17:33:01Z] <jforrester@deploy1001> Synchronized static/images/project-logos: [trwiki] Tweak logo versions T242977 (duration: 01m 07s)

Jdforrester-WMF closed this task as Resolved.Thu, Jan 23, 5:33 PM

Sorry for the delay on this; the sharper versions are now deployed.

This comment was removed by TmY_e12.